export interface MockWebSocket {
    readyState: number;
    onclose: (ev: CloseEvent) => any;
    onerror: (ev: Event) => any;
    onmessage: (ev: MessageEvent) => any;
    onopen: (ev: Event) => any;
    close(code?: number, reason?: string): void;
    send(data: any): void;
}
export declare function newMockWebSocket(): MockWebSocket;
export declare function addPings(ws: MockWebSocket): void;
export interface MockEvent {
    open?: true;
    message?: any;
    close?: string;
}
export declare function newMockListener(): {
    onOpen(): void;
    onMessage(message: any): void;
    onClose(reason: string): void;
    calls(expected: MockEvent[]): Promise<{}>;
    done(): void;
};
