import React from "react";
import { GraphQLResult } from "./connection";
import { QuerySpec } from "./spec";
interface QueryPropsBase<Result extends object, Input extends object | undefined = undefined> {
    children: (data: GraphQLResult<Result>) => React.ReactNode;
    query: string | QuerySpec<Result, Input>;
}
declare type MaybeVariables<Input extends object | undefined = undefined> = Input extends object ? {
    variables: Input;
} : {
    variables?: undefined;
};
declare type QueryProps<Result extends object, Input extends object | undefined = undefined> = QueryPropsBase<Result, Input> & MaybeVariables<Input>;
export declare function Query<Result extends object, Input extends object | undefined = undefined>(props: QueryProps<Result, Input>): JSX.Element;
export {};
